Program ConvMus (Input,Output) ;
Uses RMusic,CRT ;

Var
	outfile	: text ;
	infile	: file of NoteType ;
	Note	: NoteType ;
	line	: string[80] ;
	i		: integer ;
	key		: char ;
Begin { of main program }
	line := ParamStr(1)+'.mus' ;
	assign(infile,line) ;
	{$I-}
	reset(infile) ;
	{$I+}
	if ioresult <> 0 then begin
		writeln('File ',line,' not found.') ;
		halt(1)
	end ;
	line := ParamStr(1) + '.pas' ;
	assign(outfile,line) ;
	rewrite(outfile) ;
	writeln (outfile,'Unit ',ParamStr(1),' ;') ;
	writeln (outfile,'Interface') ;
	writeln (outfile,'Uses RMusic ;') ;
	writeln (outfile,'Const') ;
	writeln (outfile,^I'_',ParamStr(1),' : array [0..',
			FileSize(infile),'] of NoteType = (') ;
	writeln (outfile) ;
	while not EOF(infile) do begin
		read(infile,Note) ;
		with Note do begin
			writeln (outfile,^I'(octave:',octave:2,
							';note:',note:2,
							';stacatto:',stacatto:2,
							';duration:',duration:5,
							'),')
		end
	end ;
	writeln (outfile) ;
	writeln (outfile,^I'(octave:1;note:1;stacatto:0;duration:-1)) ;') ;
	writeln (outfile) ;
	writeln (outfile,'Implementation') ;
	writeln (outfile,'end .') ;
	close(outfile) ;
	close(infile)
end .
