Program PlayMus ;
Uses RMusic,CRT,Dos ;
Type NoteArray	= Array [0..0] of NoteType ;
Var
	start	: ^NoteArray ;
	infile	: file of NoteType ;
	line	: string[80] ;
	i		: integer ;
	key		: char ;
	hh,mm,ss,ms,oldsec	: word ;
Begin { of main program }
	line := ParamStr(1)+'.mus' ;
	assign(infile,line) ;
	{$I-}
	reset(infile) ;
	{$I+}
	if ioresult <> 0 then begin
		writeln('File ',line,' not found.') ;
		halt(1)
	end ;
	if MaxAvail < ((FileSize(infile)+1) * SizeOf(NoteType)) then begin
		writeln('Insufficient storage.') ;
		halt(2)
	end ;
	GetMem(start,(FileSize(infile)+1) * SizeOf(NoteType)) ;
	i := 0 ;
	{$R-}
	while not EOF(infile) do begin
		read(infile,start^[i]) ;
		i := i + 1
	end ;
	start^[i] := RMRestart ;
	{$R+}
	RMSet(RMSetup,Addr(i)) ;
	RMSet(RMStart,start) ;
	writeln('Press any key to quit') ;
	oldsec := 61 ;
	repeat
		RMExpired := false ;
		GetTime(hh,mm,ss,ms) ;
		if ss <> oldsec then begin
			write(i:4,^M) ;
			oldsec := ss ;
			i := 0
		end else i := i + 1 ;
		while not RMExpired do ;
	until KeyPressed ;
	RMSet(RMStop,nil) ;
	RMSet(RMClose,nil) ;
	FreeMem(start,FileSize(infile) * SizeOf(NoteType)) ;
	close(infile)
end .
